/*
 * Copyright (c) 2009, GoodData Corporation. All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification, are permitted provided
 * that the following conditions are met:
 *
 *     * Redistributions of source code must retain the above copyright notice, this list of conditions and
 *        the following disclaimer.
 *     * Redistributions in binary form must reproduce the above copyright notice, this list of conditions
 *        and the following disclaimer in the documentation and/or other materials provided with the distribution.
 *     * Neither the name of the GoodData Corporation nor the names of its contributors may be used to endorse
 *        or promote products derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS
 * OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
 * AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package com.gooddata;

import org.joda.time.format.DateTimeFormat;
import org.joda.time.format.DateTimeFormatter;

public class Constants {

    // TODO native2ascii
    public final static String[] DISCARD_CHARS = {"$", "%", ",", "(", ")", "?", "?", "?"};

    public final static int MAX_TABLE_NAME_LENGTH = 44;
    public final static int MAX_SCHEMA_NAME_LENGTH = 24;

    public final static String DEFAULT_INT_FMT_STRING = "###";
    public final static String DEFAULT_DEC_FMT_STRING = "###.00";

    public final static String DEFAULT_DATE_FMT_STRING = "yyyy-MM-dd";
    public final static String DEFAULT_DATETIME_FMT_STRING = "yyyy-MM-dd HH:mm:ss";
    public final static String UNIX_DATE_FORMAT = "UNIXTIME";
    public final static String GOODDATA_DATE_FORMAT = "GOODDATA";

    public final static String DEFAULT_TIME_LABEL = "label.time.second.of.day.";
    public final static DateTimeFormatter DEFAULT_DATE_FMT = DateTimeFormat.forPattern(DEFAULT_DATE_FMT_STRING);
    public final static DateTimeFormatter DEFAULT_DATETIME_FMT = DateTimeFormat.forPattern(DEFAULT_DATETIME_FMT_STRING);

    // default date label suffix
    public final static String DEFAULT_DATE_LABEL = "date";
    public final static String DEFAULT_DATE_LABEL_SUFFIX = ".mdyy";

    // Maximum retries
    public final static int MAX_RETRY = 1000;

    // polling interval
    public final static int POLL_INTERVAL = 10000;
    public final static int RETRY_INTERVAL = 1000;

}
